function drawWaiting(c) {
	var ctx = c.getContext("2d");
	var direction = "right";
	var position = 5;
	window.setInterval(function() {
		ctx.clearRect(0,0,c.width,c.height);
		ctx.fillRect(position,5,10,20);
		if(direction=="right") position++;
		if(direction=="left") position--;
		if(position + 1 > c.width - 25) {
			direction = "left";
			position--;
		}
		if(position + 1 < 5) {
			direction = "right";
			position++;
		}
	},10);
}